Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class DataCollectionMultyChoicePropertyEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.beanexplorer.editors.CustomEditorSupport
                  |
                  +--ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor

Direct Known Subclasses:
  ReferrerBeanInfo.LiteratureReferencesEditor

public abstract class DataCollectionMultyChoicePropertyEditor
extends CustomEditorSupport

Constructor Summary
`DataCollectionMultyChoicePropertyEditor()`

Method Summary
`Component` | `getCustomEditor(Component parent, boolean isSelected)`
`Component` | `getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)`
`abstract DataCollection` | `getDataCollection()` Should return the DataCollection containing possible values.

Methods inherited from class com.beanexplorer.editors.CustomEditorSupport
`isPaintable, supportsCustomEditor, actionPerformed, focusGained, focusLost, getBean, setBean, setColor`

Methods inherited from class java.beans.PropertyEditorSupport
`setValue, getValue, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, getCustomEditor, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataCollectionMultyChoicePropertyEditor

    public DataCollectionMultyChoicePropertyEditor()

Method Detail

### getCustomEditor

    public Component getCustomEditor(Component parent, boolean isSelected)

### getCustomRenderer

    public Component getCustomRenderer(Component parent, boolean isSelected, boolean hasFocus)

### getDataCollection

    public abstract DataCollection getDataCollection()
                                               throws java.lang.Exception

  Should return the DataCollection containing possible values.

Association Links

to Class javax.swing.JPanel

to Class javax.swing.JButton

to Class java.awt.Component

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM